experiments.droneControl

## Class ControlLinearModel

- java.lang.Object
- - experiments.droneControl.ControlLinearModel

    public class ControlLinearModel
    extends java.lang.Object

The Class ControlLinearModel.

### Constructor Summary

Constructors
Constructor and Description
`ControlLinearModel()` Instantiates a new control linear model.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `learn(java.util.HashMap<java.lang.String,java.lang.Double> endogenousFeedback)` Learn.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ControlLinearModel

    public ControlLinearModel()

Instantiates a new control linear model.

### Method Detail

#### learn

    public void learn(java.util.HashMap<java.lang.String,java.lang.Double> endogenousFeedback)

Learn.

Parameters:
  `endogenousFeedback` - the endogenous feedback